/*******************************************************************************
 * SeqAct_SetVector generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_SetVector extends SeqAct_SetSequenceVariable
    hidecategories(Object);

var() Vector DefaultValue;

event Activated()
{
    local bool bIgnoreDefault;
    local SeqVar_Vector VectVar;
    local Vector Value;

    // End:0x5C
    foreach LinkedVariables(class'SeqVar_Vector', VectVar, "Value")
    {
        bIgnoreDefault = true;
        Value += VectVar.VectValue;        
    }    
    // End:0x7F
    if(!bIgnoreDefault)
    {
        Value = DefaultValue;
    }
    // End:0xCF
    foreach LinkedVariables(class'SeqVar_Vector', VectVar, "Target")
    {
        VectVar.VectValue = Value;        
    }    
    //return;    
}

defaultproperties
{
    bCallHandler=false
    VariableLinks(0)=(ExpectedType=class'SeqVar_Vector',LinkedVariables=none,LinkDesc="Value",LinkVar=None,PropertyName=None,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(1)=(ExpectedType=class'SeqVar_Vector',LinkedVariables=none,LinkDesc="Target",LinkVar=None,PropertyName=None,bWriteable=true,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Vector"
}